Benefit grants
List Benefit Grants
Lists Benefit Grants
Authorization
HTTPBearer AuthorizationBearer <token>
In: header
Query Parameters
member_ids?array<>|
Filter grants to one or more member IDs. Provide the parameter multiple times for multiple members.
statuses?array<>|
Filter by grant lifecycle status. Repeat the parameter for multiple statuses.
benefit_ids?array<>|
Filter by benefit IDs. Repeat the parameter for multiple benefits.
subscription_ids?array<>|
Filter by subscription IDs. Repeat the parameter for multiple subscriptions.
product_ids?array<>|
Filter by product IDs. Repeat the parameter for multiple products.
page?integer
Page number
Default
1Range
1 <= valuesize?integer
Page size
Default
50Range
1 <= value <= 100Response Body
application/json
application/json
curl -X GET "https://api.members.dev/portal/v1/grants"{
"items": [
{
"parent": {
"benefit_schedule_id": "string",
"subscription_id": "string",
"product_id": "string"
},
"state_transitions": {
"started_at": {},
"expired_at": {},
"depleted_at": {},
"revoked_at": {}
},
"next_update": {
"updates_at": null,
"update_type": "starts"
},
"created_at": null,
"updated_at": null,
"value_initial": 0,
"value_current": 0,
"value_consumed": 0,
"id": "bgt_01KKSMB47VYGW97GFE67VGDK7M",
"short_id": "string",
"member_ids": [
"string"
],
"benefit_id": "string",
"status": "scheduled",
"starts_at": null,
"expires_at": {}
}
],
"total": 0,
"page": 1,
"size": 1,
"pages": 0
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}